var connector = require('alloy').Globals.syncConnector;

exports.definition = {
    config: {
        "columns": {
            contactid: 'TEXT PRIMARY KEY',
            fullname: 'TEXT',
            firstname: 'TEXT',
            lastname: 'TEXT',
            modifiedon: 'TEXT'
        },

        "adapter": {
            "type": 'appcelerator.syncserver.syncadapter',
            "sync_connector": connector,
            "db_name": connector.databaseName,
            "collection_name": "contact",
            "idAttribute": "contactid"
        },
        "syncOptions": {
            "queryName": "All Contacts",
            "queryParameters": {
                "statecode": 0
            }
        }
    }
}